%define name lrzsz
%define version 0.12.21
%define release 5mdk

Summary: The lrz and lsz modem communications programs.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Communications
URL: http://www.ohse.de/uwe/software/lrzsz.html
Source: %{name}-%{version}.tar.bz2
Patch1: %{name}-0.12.20-glibc21.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lrzsz (consisting of lrz and lsz) is a cosmetically modified
zmodem/ymodem/xmodem package built from the public-domain version of the
rzsz package.  Lrzsz was created to provide a working GNU copylefted
Zmodem solution for Linux systems.  

You should install lrzsz if you're also installing a Zmodem communications
program that uses lrzsz.  If you're installing minicom, you need to install
lrzsz.

%prep
%setup -q
%patch1 -p1 -b .glibc21

# because of time skew between various generated files, autotools are
# forced to run. In the process, gettext-devel is required but new
# gettext-devel is not compatible with lrzsz, thus autotools will fail
find -type f -print0 | xargs -0 touch

%build
%configure	--disable-pubdir \
		--enable-syslog \
		--program-transform-name=s/l//
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sat May 22 2004 Abel Cheung <deaddog@deaddog.org> 0.12.21-5mdk 
- Avoid regeneration of auto* files which would fail
- Convert names into UTF-8

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.12.21-4mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%configure macro

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.12.21-3mdk
- new url

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.12.21-2mdk
- BuildRequires: gettext-devel

* Fri Mar 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.12.21-1mdk
- 0.12.21

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.12.20-8mdk
- rebuild

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12.20-7mdk
- more macros
- build for gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12.20-6mdk
- BM

* Mon Apr 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.12.20-5mdk
- spechelper fixes
- group fix

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Mandrake release

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.12.20, i18n translations included.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups 

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- Upgraded to 0.12.14 and changed makefiles so gettext isnt built.
